### Method

# Pango.FontMap.list_families

#### Declaration [src]

    void
    pango_font_map_list_families (
      PangoFontMap* fontmap,
      PangoFontFamily*** families,
      int* n_families
    )

#### Description [src]

List all families for a fontmap.

#### Parameters

`families` | An array of `PangoFontFamily`
| location to store a pointer to an array of `PangoFontFamily` *. This array should be freed with `g_free()`.
| Direction: out
| The length of the array is in the `n_families` argument
| Ownership of the container type is transferred to the callee
`n_families` | `int*`
| location to store the number of elements in `families`
| Direction: out
| Ownership of the data is transferred to the callee